Package ghidra.app.util.bin.format.pe.debug

# Class OMFSrcModule

java.lang.Object
ghidra.app.util.bin.format.pe.debug.OMFSrcModule

public class OMFSrcModule extends Object
A class to represent the Object Module Format (OMF) Source Module data structure.
short cFile - Number of source files contributing code to segments
short cSeg - Number of code segments receiving code from module
int [] baseSrcFile - An array of base offsets
int [] starts - start offset within the segment of the first byte of code from the module
int [] ends - ending address of code from the module
short [] segs - Array of segment indicies that receive code from the module

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int[]`
  `getBaseSrcFile()`
  Returns an array of base offsets.
  `int[]`
  `getEnds()`
  Returns an array of ending addresses of code from the module.
  `short`
  `getFileCount()`
  Returns the number of source files contributing code to segments.
  `OMFSrcModuleFile[]`
  `getOMFSrcModuleFiles()`
  Returns the array of source files.
  `short`
  `getSegmentCount()`
  Returns the number of code segments receiving code from module.
  `short[]`
  `getSegments()`
  Returns an array of segment indicies that receive code from the module.
  `int[]`
  `getStarts()`
  Returns an array of start offsets within the segment of the first byte of code from the module.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getOMFSrcModuleFiles

    public OMFSrcModuleFile[] getOMFSrcModuleFiles()
    Returns the array of source files.
    Returns:
      the array of source files

  - ### getBaseSrcFile

    public int[] getBaseSrcFile()
    Returns an array of base offsets.
    Returns:
      an array of base offsets

  - ### getFileCount

    public short getFileCount()
    Returns the number of source files contributing code to segments.
    Returns:
      the number of source files contributing code to segments

  - ### getSegmentCount

    public short getSegmentCount()
    Returns the number of code segments receiving code from module.
    Returns:
      the number of code segments receiving code from module

  - ### getEnds

    public int[] getEnds()
    Returns an array of ending addresses of code from the module.
    Returns:
      an array of ending addresses of code from the module

  - ### getSegments

    public short[] getSegments()
    Returns an array of segment indicies that receive code from the module.
    Returns:
      an array of segment indicies that receive code from the module

  - ### getStarts

    public int[] getStarts()
    Returns an array of start offsets within the segment of the first byte of code from the module.
    Returns:
      an array of start offsets within the segment of the first byte of code from the module